Bug 566560 - Review Request: libaesgm - Library implementation of AES (Rijndael) cryptographic methods
Summary: Review Request: libaesgm - Library implementation of AES (Rijndael) cryptogra...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-18 19:46 UTC by Tom "spot" Callaway
Modified: 2015-03-27 16:12 UTC (History)
5 users (show)

Fixed In Version: libaesgm-20090429-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-24 19:35:36 UTC
lemenkov: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2010-02-18 19:46:01 UTC
Spec URL: http://www.auroralinux.org/people/spot/review/new/libaesgm.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/libaesgm-290409-1.fc13.src.rpm
Description: 
Library implementation of AES (Rijndael) cryptographic methods

Comment 1 Tom "spot" Callaway 2010-02-18 20:06:34 UTC
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1997477

Comment 2 Michael Schwendt 2010-02-18 23:57:57 UTC
> Version:	290409

Their scheme appears to be %d-%m-%y, which looks fragile. What would happen if they released the next update on 7th of October?  071009 < 290409


> -shared -Wl,-soname,libaesgm.so.0.0

Is the double-zero intentional?

$ rpmls -p libaesgm-290409-1.fc12.i686.rpm |grep /usr/lib
lrwxrwxrwx  /usr/lib/libaesgm.so.0
lrwxrwxrwx  /usr/lib/libaesgm.so.0.0
-rwxr-xr-x  /usr/lib/libaesgm.so.0.0.0


* There is no default %clean section yet to "rm -rf %buildroot".


* A proper namespace for the header files would be better than generic names such as /usr/include/aes.h, e.g. installing into %_includedir/aesgm or %_includedir/libaesgm

Comment 3 Tom "spot" Callaway 2010-02-22 21:27:43 UTC
Thanks for these good points. I really should know better. Those issues are fixed in 20090429-2:

New SRPM: http://www.auroralinux.org/people/spot/review/new/libaesgm-20090429-2.fc14.src.rpm
New SPEC: http://www.auroralinux.org/people/spot/review/new/libaesgm.spec

Comment 4 Peter Lemenkov 2010-05-13 14:26:37 UTC
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is almost silent

Sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/ppc/libaesgm-*
libaesgm.ppc: W: spelling-error Summary(en_US) cryptographic -> cryptographer, cryptography, cryptogram
libaesgm.ppc: W: spelling-error %description -l en_US cryptographic -> cryptographer, cryptography, cryptogram
libaesgm-devel.ppc: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 3 warnings.
Sulaco ~/rpmbuild/SPECS:

These messages may be ignored.

+ The package is named according to the Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (BSD).
0 The package does not include the text of the license(s) in its own file.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package matches the upstream source, as provided in the spec URL:

Sulaco ~/rpmbuild/SOURCES: sha256sum aes-src-29-04-09.zip*
0b6d09c741dcd1c100cdcdd8b5f5bf85cfe54bdd7bea1f96916c2471280ddf03  aes-src-29-04-09.zip
0b6d09c741dcd1c100cdcdd8b5f5bf85cfe54bdd7bea1f96916c2471280ddf03  aes-src-29-04-09.zip.1
Sulaco ~/rpmbuild/SOURCES:

+ The package successfully compiles and builds into binary rpms on at least one primary architecture:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2185723

0 No additional build dependencies.
0 No need to handle locales.
+ The package calls ldconfig in %post and %postun.
+ The package does NOT bundle copies of system libraries.
+ The package isn't designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
+ Header files are in a -devel package.
0 No static libraries.
+ The library file that ends in .so (without suffix) is in a -devel package.
+ The devel package requires the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
+ The packages does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The packages does not own files or directories already owned by other packages.
+ All filenames in the packages are valid UTF-8.

I've got only one simple note - if you plan to provide package also for EPEl, then you will need to add rm -rf %{buildroot} in the %install section.

This package is

APPROVED.

Comment 5 Tom "spot" Callaway 2010-05-21 11:50:46 UTC
New Package CVS Request
=======================
Package Name: libaesgm
Short Description: Library implementation of AES (Rijndael) cryptographic methods
Owners: spot
Branches: F-11 F-12 F-13 devel
InitialCC:

Comment 6 Dennis Gilmore 2010-05-21 15:19:15 UTC
CVS Done

Comment 7 Fedora Update System 2010-05-21 21:36:51 UTC
libaesgm-20090429-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libaesgm-20090429-2.fc12

Comment 8 Fedora Update System 2010-05-21 21:37:03 UTC
libaesgm-20090429-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libaesgm-20090429-2.fc13

Comment 9 Fedora Update System 2010-05-21 21:37:08 UTC
libaesgm-20090429-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libaesgm-20090429-2.fc11

Comment 10 Fedora Update System 2010-05-24 19:35:31 UTC
libaesgm-20090429-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-05-24 19:42:22 UTC
libaesgm-20090429-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-05-24 19:47:09 UTC
libaesgm-20090429-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Orion Poplawski 2012-07-03 18:01:32 UTC
I'd like to see this in EPEL 6.  Tom - do you want to maintain it there or shall I?  Same for irrlicht as well.

Comment 14 Tom "spot" Callaway 2012-07-03 18:03:50 UTC
I have plenty on my plate right now, but I'm happy to let you maintain libaesgm and irrlicht in EPEL.

Comment 15 Orion Poplawski 2012-07-03 18:09:16 UTC
Will do.  Thanks.

Package Change Request
======================
Package Name: libaesgm
New Branches: el6
Owners: orion
InitialCC:

Comment 16 Gwyn Ciesla 2012-07-03 18:17:52 UTC
Git done (by process-git-requests).

Comment 17 Orion Poplawski 2015-03-27 15:40:08 UTC
Package Change Request
======================
Package Name: libaesgm
New Branches: epel7
Owners: orion
InitialCC:

Comment 18 Gwyn Ciesla 2015-03-27 16:12:05 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.